[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#368564: marked as done (xorg-server: material under GLX Public License is not DFSG-free)

Your message dated Mon, 19 Jan 2009 23:19:51 -0800 (PST)
with message-id <20090120071951.0F67915E251@rover.gag.com>
and subject line fixed in upstream 1.4
has caused the Debian Bug report #211765,
regarding xorg-server: material under GLX Public License is not DFSG-free
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

211765: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=211765
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: xfree86
Version: 4.2.1-6
Severity: serious

The following sections of the debian/copyright file for xfree86:

  2.4  GLX Public License
  2.5  CID Font Code Public License

contain clauses which debian-legal has found to be non-free according
to the DFSG - see thread starting at

Code covered by these licenses need to be relicensed or removed from
Debian's distribution of XFree86.

The licence


which is found in the copyright file for version 4.2.1-11, also
contains a non-free clause (discussed in the same thread). Since only
the Debian revision differs, I suppose that whatever code that is
covered by will also be present in 4.2.1-6.

Since the BTS wants a version, I give the one curtrently in sarge
(which is where we need most urgently to keep track of
release-critical issues), but the ones in woody and sid, plus the
expermental 4.3.0 packages, all look to be affected too.

Henning Makholm                                    "*Vi vil ha wienerbrød!*"

--- End Message ---
--- Begin Message ---
Version: 2:1.4

Adam Jackson confirms the news that all parties responsible for copyrightable
commits to the GLX code have agreed to the change, and Keith Packard confirms
that the license file in question changed prior to the upstream release of
version 1.4.

Since 1.4.2 is already in Lenny, no new upload is required.  Closing the bug.


--- End Message ---

Reply to: